package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsDisinfectManage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 2.0消毒方式管理 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-20
 */
public interface IJsDisinfectManageService extends IService<JsDisinfectManage> {

    AjaxResult add(JsDisinfectManage jsDisinfectManage);

    AjaxResult edit(JsDisinfectManage jsDisinfectManage);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String disinfectMethod);

    AjaxResult listAll();

}
